@extends('web.includes.layout')
@section( 'title' , '-空壓機、乾燥機、過濾系統:產品資訊')
@push('head')
    <script>
	    $(window).on('load',function(){
            var galleryThumbs = new Swiper('.gallery-thumbs', {
                spaceBetween: 10,
                slidesPerView: 4,
                freeMode: true,
                watchSlidesVisibility: true,
                watchSlidesProgress: true,
            });
                var galleryTop = new Swiper('.gallery-top', {
                spaceBetween: 10,
                navigation: {
                    nextEl: '.swiper-button-next',
                    prevEl: '.swiper-button-prev',
                },
                thumbs: {
                    swiper: galleryThumbs
                }
            });
	    })
	</script>

@endpush


@section('main')
<!--start-->
<article id="hight">
	 <!-- Swiper -->
	 <div id="banner" style="background-image: url({{ resources_path() }}_img/product/banner.jpg)">
        <h1 class="main-title">
			<span>product</span>
			產品資訊
		</h1>
     </div>

     
     <section>
        <div class="container">
           <div class="row product-frame">
               <div class="col-lg-3 col-12 aside-nav">
                   <div class="phone-barbox">產品選項</div>
                   {{-- 在此主分類 aside-list 增加 active / 在此次分類 aside 增加 active --}}
                   <div class="phone-navbox">

                        @foreach( $product_class_tree[0]  as $v)
                        <div class="aside-list @if($v['id']==$level_1_class_id) active @endif">
                            <div class="title">{{$v['name']}}</div>
                            <ul class="aside-item">
                              @foreach( $product_class_tree[$v['id']]  as $v2)
                                    <li><a href="{{ base_path() }}product/{{$v['id']}}/{{$v2['id']}}" class="aside @if($v2['id']==$level_2_class_id) active @endif">{{$v['name']}}</a></li>
                               @endforeach
                            </ul>
                        </div>
                       @endforeach
                   </div>
               </div>
               <div class="col-1"></div>
               <div class="col-lg-8 col-12 ">
                   <div class="top-box">
                       <div class="p-box">
                            <!-- Swiper -->
                            <div class="swiper-container gallery-top">
                                <div class="swiper-wrapper">
                                     @foreach ($pics as $element)
                                    <div class="swiper-slide">
                                        <a href="#">
                                            <img src="{{ storage_path($element['pic']) }}" alt="">
                                        </a>
                                    </div>
                                    @endforeach
                                    
                                </div>
                            </div>
                            <div class="swiper-container gallery-thumbs">
                                <div class="swiper-wrapper">
                                     @foreach ($pics as $element)
                                    <div class="swiper-slide" style="background-image: url({{ storage_path($element['pic']) }}"></div>
                                     @endforeach
                                </div>
                                
                            </div>
                             <!-- Add Arrows -->
                             <div class="swiper-button-next pro-next"></div>
                            <div class="swiper-button-prev pro-prev"></div>
                       </div>
                       <div class="p-box">
                            <div class="sub-title">{{ $product_class[$level_1_class_id]['name'] }} - {{ $product_class[$level_2_class_id]['name'] }}</div>
                            <div class="title">{{ $product['name'] }}</div>
                            <div class="editor">
                                 {!! nl2br($product['s_info']) !!}
                            </div>
                       </div>
                   </div>

                   <div class="editor">
                        {!! htmlspecialchars_decode($product['info']) !!}
                   </div>

                    <div class="text-center mb-5">
                        <a href="javascript:history.back() " class="back">返回</a>
                    </div>

               </div>
           </div>
        </div>
     </section>
	
	
   
	

  

	
	
</article>

<!--end index-->
@endsection