<?php
// ************************原則************************
//        1. 目前依照前端頁面所看到的 "由上往下" 呈現
// ****************************************************

$seo = \DB::table(config('seo.table'))->get()->groupBy('tag');

return [

	'web_title' => $seo['default'][0]['title'], // 後台seo設定控制
	'address'   => '',

	'language' => [
		'tw' => '繁體中文',
		'cn' => '简体中文',
		'en' => 'English',
	],

	'header' => [

	],

	// 首页
	'home' => [
		'title' => '首页',

		'about' => [
			'main-title' => '关于群贺',
			'p' => '　　群贺创新科技股份有限公司设立于民国 106 年 06 月 27 日。<br>营运总部位于台湾新竹，从事信息安全加密晶片研发、设计、製造与买卖等业务。<br>群贺创新技术团队，均为台湾科技界顶尖人才，具备丰富加解密晶片研发技术工作经验。',
		],

		'product-new' => [
			'main-title' => '产品优势',
		],

		'product-home' => [
			'main-title' => '支援服务与应用',
		],

		'affiliate' => [
			'main-title' => '合作企业',
		],

		'news' => [
			'main-title' => '重要消息',
		],

		'more' => '查看更多',
	],

	// 关于群贺
	'about' => [
		'title' => '关于群贺',
		'sub_title' => '公司概要',

		'info-box' => [
			'row' => [
				1 => [
					'title' => '公司名称',
					'info'  => '<p>群贺创新科技股份有限公司<br>MJcrypt Technology Corporation</p>',
				],
				2 => [
					'title' => '创立日期',
					'info'  => '<p>2017/06/27</p>',
				],
				3 => [
					'title' => '产业类别',
					'info'  => 'IC Design House（晶片研发）',
				],
				4 => [
					'title' => '总部',
					'info'  =>
						'<p>30264 新竹县竹北市光明六路东一段255号15楼</p>
	                    <p>TEL: (03)658-0199 ext.11（总机）</p>
	                    <p>FAX: (03)658-0299</p>',
				],
				5 => [
					'title' => '主要商品',
					'info'  => '加解密晶片',
				],
			],
		],
	],

	// 经营理念
	'about-2' => [
		'title' => '经营理念',

		'info' =>
			'<b class="text-primary">　　2019年起未来30年全世界预估将会是一场AI与资讯安全的世界大战，而资讯安全也就等同是国家安全。</b><br><br>
            <p>　　一个国家无论网路、金融、电子邮件、行动支付、电脑资料及卫星通讯，无一与资讯安全不相关，一旦资讯安全受到威胁也等同国家安全受到威胁。</p><br>
            <p>　　近几年来从iCloud美国百大明星裸照与性爱影片外流、美国CIA斯诺登(Snowden)逃往俄罗斯并说明了美国可以窃听手机语音与网路封包、臺湾远东银行被骇客网路转帐6,000万美元、美国总统大选邮件门事件与身分证投票事件，及淘宝被骇客入侵转帐等等，都说明了即使全世界最强国家也都挡不住骇客入侵，资讯安全也等同是国家安全。</p><br>
            <p>　　市面上的一般硬体加密技术，几乎都只能对储存器做加密的动作，我方产品不仅可以将储存器加密，更可做到单一档案的加密、资料夹的加密、云端的同步加密等等。我方虽挡不住骇客的盗取，却可以让盗取的资料无法解码。</p><br>
            <b>　　而本公司採用硬体加密技术是属于超高强度的规格，全新的加密方式与创时代的应用理念将会把世界资讯安全推向另一个前所未达的领域。</b>',

		'sign' => '执行长： <span>Major</span>',
	],

	// 营运组织
	'about-3' => [
		'title' => '营运组织',
	],

	// 重要消息
	'news' => [
		'title' => '重要消息',

		'back'  => '回上页',
	],

	// 产品信息
	'product' => [
		'title' => '产品信息',

		'editor-box' => [
			'title' => '產品介紹',
		],

		'back'  => '回上页',

		'search' => [
			'title' => '搜寻产品',
		],
	],

	// 下载中心
	'download' => [
		'title' => '下载中心',
	],

	// 联络我们
	'contact' => [
		'title' => '联络我们',

		'contact-info' =>
			'<p><span>电话 :</span><a href="tel:+886-3-6580199">+886 - 3 - 6580199</a></p>
            <p><span>传真 :</span>+886 - 3 - 6580299</p>
            <p><span>地址 :</span>30264 台湾新竹县竹北市光明六路一段255号15楼</p>
            <p><span>统一编号 :</span>52790808</p>
            <p><span>服务信箱 :</span><a href="mailto:salesg@mjcrypt.com.tw">salesg@mjcrypt.com.tw</a></p>',

	    'rule_message' => [
	        'company'  => [
	        	'required' => '公司名称 尚未填写',
	        ],

	        'unit'  => [
	        	'required' => '单位 尚未填写',
	        ],

	        'name'  => [
	        	'required' => '姓名 尚未填写',
	        ],

	        'job_title'  => [
	        	'required' => '职称 尚未填写',
	        ],

	        'tel'   => [
				'required' => '电话 尚未填写',
				'numeric'  => '电话 请输入数字'
	        ],

	        'email' => [
				'required' => 'E-mail 尚未填写',
				'format'   => 'E-mail 格式错误',
	        ],

	        'subject'  => [
	        	'required' => '主旨 尚未填写',
	        ],

	        'info'  => [
	        	'required' => '内容 尚未填写',
	        ],

	        'captcha'  => [
				'required' => '验证码 尚未填写',
				'in'       => '验证码 输入错误',
	        ],

	        'g-recaptcha-response'  => [
				'required' => '请确认你不是机器人!',
				'captcha'  => '验证错误! 请稍后再试或者联繫网站管理员',
	        ],
	    ],

	    'form' => [
			'company'   => '公司名称',
			'email'     => 'E-mail',
			'unit'      => '单位',
			'name'      => '姓名',
			'job_title' => '职称',
			'tel'       => '电话',
			'subject'   => '主旨',
			'info'      => '内容',
			'NoCaptcha' => [
				'lang' => 'zh-CN',
			],
			'send' => '送出',
	    ],

		'data_error'     => '资料有误，请重新填写',
		'send_mail_fail' => '信件寄送失败',
		'process_msg'    => '感谢您的留言',

		'google-map' => [
			'lang' => 'zh-CN',
		],
	],

	// footer
	'footer' => [
		'address' => [
			'title' => '地址',
			'info'  => '30264 台湾新竹县竹北市光明六路一段255号15楼',
		],
		'tel' => [
			'title' => '电话',
			'info'  => '+886-3-6580199',
		],
		'time' => [
			'title' => '时间',
			'info'  => '週一至週五，09:30-18:30',
		],
		'copyright' => [
			'author' => '网页设计',
		],
	],
];